﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Collections;
using MvcApplication4.Models;
using Syncfusion.JavaScript;
using System.Linq.Expressions;
using Syncfusion.Linq;
using Syncfusion.JavaScript.DataSources;
namespace MvcApplication4.Controllers
{
    public partial class GridController : Controller
    {
        public ActionResult GridFeatures()
        {
            var dataSource = OrderRepository.GetAllRecords().ToList();
            ViewBag.data = dataSource;
            return View();
        }
        public ActionResult DataSource(DataManager dm)
        {
            IEnumerable DataSource = OrderRepository.GetAllRecords().ToList();
            DataOperations ds = new DataOperations();
            DataResult result = new DataResult();
            List<string> str = new List<string>();
            DataSource = ds.PerformSkip(DataSource, dm.Skip);
            result.result = ds.PerformTake(DataSource, dm.Take);
            result.count = DataSource.AsQueryable().Count();
            return Json(result, JsonRequestBehavior.AllowGet);
        }
        public ActionResult Update(EditableOrder value)
        {

            OrderRepository.Update(value);
            var data = OrderRepository.GetAllRecords();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
        public ActionResult Insert(EditableOrder value)
        {
            OrderRepository.Add(value);
            var data = OrderRepository.GetAllRecords();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
        public ActionResult Remove(int key)
        {
            OrderRepository.Delete(key);
            var data = OrderRepository.GetAllRecords();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
        public class DataResult
        {
            public IEnumerable result { get; set; }
            public int count { get; set; }
            public IEnumerable aggregate { get; set; }
            public IEnumerable groupDs { get; set; }
            public IEnumerable DropColumn { get; set; }
        }
        public class dropDown
        {
            public int EmployeeID1 { get; set; }
            public String Name { get; set; }
            public dropDown() { }
            public dropDown(int val, string txt)
            {
                this.Name = txt;
                this.EmployeeID1 = val;
            }
        }
    }
}
